
class PatientModel {
  int? ProjectID;
  int? ClinicID;
  int? DoctorID;
  String? FirstName;

  String? MiddleName;
  String? LastName;
  String? PatientMobileNumber;
  String? PatientIdentificationID;
  int? PatientID;
  String? From;
  String? To;
  int? LanguageID;
  String? stamp;
  String? IPAdress;
  double? VersionID;
  int? Channel;
  String? TokenID;
  String? SessionID;
  bool? IsLoginForDoctorApp;
  bool? PatientOutSA;
  int? Searchtype;
  String? IdentificationNo;
  String? MobileNo;

  int? get getProjectID => ProjectID;

  set setProjectID(int? ProjectID) => this.ProjectID = ProjectID;

  int? get getClinicID => ClinicID;

  set setClinicID(int? ClinicID) => this.ClinicID = ClinicID;

  int? get getDoctorID => DoctorID;

  set setDoctorID(int? DoctorID) => this.DoctorID = DoctorID;

  String? get getFirstName => FirstName;

  set setFirstName(String FirstName) => this.FirstName = FirstName;

  String? get getMiddleName => MiddleName;

  set setMiddleName(String MiddleName) => this.MiddleName = MiddleName;

  String? get getLastName => LastName;

  set setLastName(String LastName) => this.LastName = LastName;

  String? get getPatientMobileNumber => PatientMobileNumber;

  set setPatientMobileNumber(String PatientMobileNumber) =>
      this.PatientMobileNumber = PatientMobileNumber;

//  String get getPatientIdentificationID => PatientIdentificationID;

//  set setPatientIdentificationID(String PatientIdentificationID) => this.PatientIdentificationID = PatientIdentificationID;

  int? get getPatientID => PatientID;

  set setPatientID(int? PatientID) => this.PatientID = PatientID;

  String? get getFrom => From;

  set setFrom(String From) => this.From = From;

  String? get getTo => To;

  set setTo(String To) => this.To = To;

  int? get getLanguageID => LanguageID;

  set setLanguageID(int? LanguageID) => this.LanguageID = LanguageID;

  String? get getStamp => stamp;

  set setStamp(String stamp) => this.stamp = stamp;

  String? get getIPAdress => IPAdress;

  set setIPAdress(String IPAdress) => this.IPAdress = IPAdress;

  double? get getVersionID => VersionID;

  set setVersionID(double? VersionID) => this.VersionID = VersionID;

  int? get getChannel => Channel;

  set setChannel(int? Channel) => this.Channel = Channel;

  String? get getTokenID => TokenID;

  set setTokenID(String TokenID) => this.TokenID = TokenID;

  String? get getSessionID => SessionID;

  set setSessionID(String SessionID) => this.SessionID = SessionID;

  bool? get getIsLoginForDoctorApp => IsLoginForDoctorApp;

  set setIsLoginForDoctorApp(bool? IsLoginForDoctorApp) =>
      this.IsLoginForDoctorApp = IsLoginForDoctorApp;

  bool? get getPatientOutSA => PatientOutSA;

  set setPatientOutSA(bool? PatientOutSA) => this.PatientOutSA = PatientOutSA;

  PatientModel(
      {this.ProjectID,
      this.ClinicID,
      this.DoctorID,
      this.FirstName,
      this.MiddleName,
      this.LastName,
      this.PatientMobileNumber,
      this.PatientIdentificationID,
      this.PatientID,
      this.From,
      this.To,
      this.LanguageID,
      this.stamp,
      this.IPAdress,
      this.VersionID,
      this.Channel,
      this.TokenID,
      this.SessionID,
      this.IsLoginForDoctorApp,
      this.PatientOutSA,
      this.Searchtype,
      this.IdentificationNo,
      this.MobileNo});

  factory PatientModel.fromJson(Map<String, dynamic> json) => PatientModel(
        FirstName: json["FirstName"],
        LastName: json["LasttName"],
      );

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ProjectID'] = this.ProjectID;
    data['ClinicID'] = this.ClinicID;
    data['DoctorID'] = this.DoctorID;
    data['PatientID'] = this.PatientID;
    data['FirstName'] = this.FirstName;
    data['MiddleName'] = this.MiddleName;
    data['LastName'] = this.LastName;
    data['PatientMobileNumber'] = this.PatientMobileNumber;
    data['PatientIdentificationID'] = this.PatientIdentificationID;
    data['PatientID'] = this.PatientID;
    data['From'] = this.From;
    data['To'] = this.To;
    data['LanguageID'] = this.LanguageID;
    data['stamp'] = this.stamp;
    data['IPAdress'] = this.IPAdress;
    data['VersionID'] = this.VersionID;
    data['Channel'] = this.Channel;
    data['TokenID'] = this.TokenID;
    data['SessionID'] = this.SessionID;
    data['IsLoginForDoctorApp'] = this.IsLoginForDoctorApp;
    data['PatientOutSA'] = this.PatientOutSA;
    data['Searchtype'] = this.Searchtype;
    data['IdentificationNo'] = this.IdentificationNo;
    data['MobileNo'] = this.MobileNo;
    return data;
  }
}
//***************************
